﻿--Migration
ALTER TABLE [dbo].[T_ERTEKELESTANTARGYI] DROP CONSTRAINT IF EXISTS [CK_ErtekelesTantargyi_Szoveg]
GO


ALTER TABLE [dbo].[T_ERTEKELESTANTARGYI] DROP CONSTRAINT IF EXISTS [CK_ErtekelesTantargyi_Osztalyzattipus]
GO


ALTER TABLE [dbo].[T_ERTEKELESTANTARGYINYELV] DROP CONSTRAINT IF EXISTS [CK_ErtekelesTantargyiNyelv_Szoveg]
GO


ALTER TABLE [dbo].[T_ERTEKELESMAGSZOR] DROP CONSTRAINT IF EXISTS [CK_ErtekelesMagSzor_Szoveg]
GO


ALTER TABLE [dbo].[T_ERTEKELESMAGSZOR] DROP CONSTRAINT IF EXISTS [CK_ErtekelesMagSzor_Osztalyzattipus]
GO


ALTER TABLE [dbo].[T_ERTEKELESMAGSZORNYELV] DROP CONSTRAINT IF EXISTS [CK_ErtekelesMagSzorNyelv_Szoveg]
GO


IF OBJECT_ID('CK_ErtekelesTantargyi_Szoveg', 'C') IS NULL BEGIN
  ALTER TABLE T_ERTEKELESTANTARGYI
  ADD CONSTRAINT CK_ErtekelesTantargyi_Szoveg
  CHECK (C_SZOVEG IS NOT NULL OR (C_SZOVEGFORMAZOTT IS NULL AND C_SZOVEGROVIDNEV IS NULL))
END
GO

IF OBJECT_ID('CK_ErtekelesTantargyi_OsztalyzatTipus', 'C') IS NULL BEGIN
  ALTER TABLE T_ERTEKELESTANTARGYI
  ADD CONSTRAINT CK_ErtekelesTantargyi_OsztalyzatTipus
  CHECK (
    (C_OSZTALYZATTIPUSID IS NOT NULL AND C_SZOVEG IS NULL AND C_SZAZALEK IS NULL)
    OR (C_OSZTALYZATTIPUSID IS NULL AND C_SZOVEG IS NOT NULL AND C_SZAZALEK IS NULL)
    OR (C_OSZTALYZATTIPUSID IS NULL AND C_SZOVEG IS NULL AND C_SZAZALEK IS NOT NULL)
  )
END
GO

IF OBJECT_ID('CK_ErtekelesTantargyiNyelv_Szoveg', 'C') IS NULL BEGIN
  ALTER TABLE T_ERTEKELESTANTARGYINYELV
  ADD CONSTRAINT CK_ErtekelesTantargyiNyelv_Szoveg
  CHECK (C_SZOVEG IS NOT NULL OR (C_SZOVEGFORMAZOTT IS NULL AND C_SZOVEGROVIDNEV IS NULL))
END
GO

IF OBJECT_ID('CK_ErtekelesMagSzor_MagatartasSzoveg', 'C') IS NULL BEGIN
  ALTER TABLE T_ERTEKELESMAGSZOR
  ADD CONSTRAINT CK_ErtekelesMagSzor_MagatartasSzoveg
  CHECK (C_MAGATARTASSZOVEG IS NOT NULL OR (C_MAGATARTASSZOVEGFORMAZOTT IS NULL AND C_MAGATARTASSZOVEGROVIDNEV IS NULL))
END
GO

IF OBJECT_ID('CK_ErtekelesMagSzor_MagatartasOsztalyzatTipus', 'C') IS NULL BEGIN
  ALTER TABLE T_ERTEKELESMAGSZOR
  ADD CONSTRAINT CK_ErtekelesMagSzor_MagatartasOsztalyzatTipus
  CHECK (
    (C_MAGATARTASOSZTALYZATTIPUSID IS NOT NULL AND C_MAGATARTASSZOVEG IS NULL AND C_MAGATARTASERTEKELESTIPUSID IS NULL)
    OR (C_MAGATARTASOSZTALYZATTIPUSID IS NULL AND C_MAGATARTASSZOVEG IS NOT NULL AND C_MAGATARTASERTEKELESTIPUSID IS NULL)
    OR (C_MAGATARTASOSZTALYZATTIPUSID IS NULL AND C_MAGATARTASSZOVEG IS NULL AND C_MAGATARTASERTEKELESTIPUSID IS NOT NULL)
    OR (C_MAGATARTASOSZTALYZATTIPUSID IS NULL AND C_MAGATARTASSZOVEG IS NULL AND C_MAGATARTASERTEKELESTIPUSID IS NULL
       AND (C_SZORGALOMOSZTALYZATTIPUSID IS NOT NULL OR C_SZORGALOMSZOVEG IS NOT NULL OR C_SZORGALOMERTEKELESTIPUSID IS NOT NULL))
  )
END
GO

IF OBJECT_ID('CK_ErtekelesMagSzorNyelv_MagatartasSzoveg', 'C') IS NULL BEGIN
  ALTER TABLE T_ERTEKELESMAGSZORNYELV
  ADD CONSTRAINT CK_ErtekelesMagSzorNyelv_MagatartasSzoveg
  CHECK (C_MAGATARTASSZOVEG IS NOT NULL OR (C_MAGATARTASSZOVEGFORMAZOTT IS NULL AND C_MAGATARTASSZOVEGROVIDNEV IS NULL))
END
GO

IF OBJECT_ID('CK_ErtekelesMagSzor_SzorgalomSzoveg', 'C') IS NULL BEGIN
  ALTER TABLE T_ERTEKELESMAGSZOR
  ADD CONSTRAINT CK_ErtekelesMagSzor_SzorgalomSzoveg
  CHECK (C_SZORGALOMSZOVEG IS NOT NULL OR (C_SZORGALOMSZOVEGFORMAZOTT IS NULL AND C_SZORGALOMSZOVEGROVIDNEV IS NULL))
END
GO

IF OBJECT_ID('CK_ErtekelesMagSzor_SzorgalomOsztalyzatTipus', 'C') IS NULL BEGIN
  ALTER TABLE T_ERTEKELESMAGSZOR
  ADD CONSTRAINT CK_ErtekelesMagSzor_SzorgalomOsztalyzatTipus
  CHECK (
    (C_SZORGALOMOSZTALYZATTIPUSID IS NOT NULL AND C_SZORGALOMSZOVEG IS NULL AND C_SZORGALOMERTEKELESTIPUSID IS NULL)
    OR (C_SZORGALOMOSZTALYZATTIPUSID IS NULL AND C_SZORGALOMSZOVEG IS NOT NULL AND C_SZORGALOMERTEKELESTIPUSID IS NULL)
    OR (C_SZORGALOMOSZTALYZATTIPUSID IS NULL AND C_SZORGALOMSZOVEG IS NULL AND C_SZORGALOMERTEKELESTIPUSID IS NOT NULL)
    OR (C_SZORGALOMOSZTALYZATTIPUSID IS NULL AND C_SZORGALOMSZOVEG IS NULL AND C_SZORGALOMERTEKELESTIPUSID IS NULL
       AND (C_MAGATARTASOSZTALYZATTIPUSID IS NOT NULL OR C_MAGATARTASSZOVEG IS NOT NULL OR C_MAGATARTASERTEKELESTIPUSID IS NOT NULL))
  )
END
GO

IF OBJECT_ID('CK_ErtekelesMagSzorNyelv_SzorgalomSzoveg', 'C') IS NULL BEGIN
  ALTER TABLE T_ERTEKELESMAGSZORNYELV
  ADD CONSTRAINT CK_ErtekelesMagSzorNyelv_SzorgalomSzoveg
  CHECK (C_SZORGALOMSZOVEG IS NOT NULL OR (C_SZORGALOMSZOVEGFORMAZOTT IS NULL AND C_SZORGALOMSZOVEGROVIDNEV IS NULL))
END
GO
